## com.baidubce.auth
Interface BceCredentials

All Known Subinterfaces:
  BceSessionCredentials

All Known Implementing Classes:
  DefaultBceCredentials, DefaultBceSessionCredentials

    public interface BceCredentials

Provides access to the BCE credentials used for accessing BCE services: BCE access key ID and secret access key. These credentials are used to securely sign requests to BCE services.

A basic implementation of this interface is provided in `DefaultBceCredentials`, but callers are free to provide their own implementation, for example, to load BCE credentials from an encrypted file.

Method Summary
`String` `getAccessKeyId()` Returns the BCE access key ID for this credentials object.
`String` `getSecretKey()` Returns the BCE secret access key for this credentials object.

Method Detail

### getAccessKeyId

    String getAccessKeyId()

  Returns the BCE access key ID for this credentials object.

  Returns:
    the BCE access key ID for this credentials object.

### getSecretKey

    String getSecretKey()

  Returns the BCE secret access key for this credentials object.

  Returns:
    the BCE secret access key for this credentials object.

Copyright © 2016. All rights reserved.